Skip to main content
POST
/
v1
/
bulk_actions
Create
curl --request POST \
  --url https://{defaultHost}/v1/bulk_actions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bulk_action": {
    "action_type": "delete_products",
    "record_ids": [
      "696c3820-b2aa-482a-bf70-40973361de84",
      "7ca49033-e1b5-4b84-8c0e-0052c0c67ff2",
      "bbd8dc36-0e59-45c7-adea-b02b40e9ba71",
      "086cb5a6-2942-4a36-b017-5b0a427a1560",
      "ad5fd825-37c4-46e2-adb7-d64587d622c3"
    ]
  }
}
'
{
  "id": "a31a8d15-86fa-49a4-ba20-5787387a62f7",
  "object": "bulk_action",
  "action_type": "delete_products",
  "record_ids": [
    "696c3820-b2aa-482a-bf70-40973361de84",
    "7ca49033-e1b5-4b84-8c0e-0052c0c67ff2",
    "bbd8dc36-0e59-45c7-adea-b02b40e9ba71",
    "086cb5a6-2942-4a36-b017-5b0a427a1560",
    "ad5fd825-37c4-46e2-adb7-d64587d622c3"
  ],
  "skipped_record_ids": [],
  "status": "processing",
  "created_at": 1778010859,
  "updated_at": 1778010859
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
bulk_action
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

action_type
string

The type of action to be performed. Possible values include:

  • delete_customers
  • delete_products
record_ids
array

The id of records to perform the bulk action on.

skipped_record_ids
array

The array of ids that are skipped due to the action not being applicable to them.

status
string

The status of the bulk action. Possible values include:

  • completed: The bulk action has been executed, possibly with some errors.
  • invalid: The bulk action contains no record_ids that support the given action.
  • pending: The bulk action is pending and not yet processed.
  • processing: The bulk action is currently being processed.
  • succeeded: The bulk action has succeeded with no errors for all the supporting record_ids.
created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.